CI Automations API
Manage CI automation workflows: scan repositories, list jobs, and open workflow PRs.
Open a CI workflow PR (create / edit / delete)
Creates, updates, or deletes a repository CI workflow and opens the resulting changes as a pull request.
curl -X POST 'https://api.factory.ai/api/v0/automations/ci/edit' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List CI automation jobs
Returns the CI automation jobs available to the authenticated organization.
curl 'https://api.factory.ai/api/v0/automations/ci/jobs' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List CI-eligible repositories
Returns repositories that are eligible for Factory CI automation.
curl 'https://api.factory.ai/api/v0/automations/ci/repositories' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List CI repository owners
Returns repository owners available when configuring Factory CI automation.
curl 'https://api.factory.ai/api/v0/automations/ci/repository-owners' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List GitHub Actions runs for CI automation workflows
List GitHub Actions runs for CI automation workflows.
curl 'https://api.factory.ai/api/v0/automations/ci/runs' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Scan repositories for CI workflows
Scans connected repositories and reports their Factory CI workflow configuration.
curl 'https://api.factory.ai/api/v0/automations/ci/scan' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values